Skip to content

The Pricefx Backend API

Pricefx REST API Reference

Languages
Servers
Mock server
https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi
URL:
https://{baseUrl}/pricefx/{partition}

General

Operations

Products

Operations

Product Extensions

Operations

Product Image

Operations

Customers

Operations

Customer Extensions

Operations

List Customer Extension Objects

Request

Retrieves records from the Customer Extensions table.

Export the table to the Excel file (XLSX), CSV, or JSON using the output URL query parameter. When exporting to the file, specify fields (within the resultFields property) you want to include in the output table.

Example request body for the export action:

{
   "data":{
      "criteria":[

      ],
      "operator":"and"
   },
   "resultFields":[
      "customerId",
      "lastUpdateDate",
      "attribute1"
   ],
   "valueFields":[

   ]
}

You can choose fields to be returned in the response by employing the resultFields or valueFields filter:
resultFields: returns key-value pairs as objects. This is the more friendly response compared to valueFields but the server fetches all fields from the database in the backend which might result in a slower performance. See the List Customers' listCustomersResponseExample_resultFields response example.

valueFields: returns just an array of values. Use this option if a better performance is required. See the List Customers' listCustomersResponseExample_valueFields response example.

Security
basic or X-PriceFx-jwt
Path
CustomerMasterExtensionNamestringrequired

Enter the name of Customer Extension you want to retrieve objects from. You can find the name in Administration > Configuration > Master Data > Customer Master Extension or using the /configurationmanager.get/customerextension endpoint.

Query
outputstring

Specifies the format of the output file.

Enum"json""xls""csv""pdf"
Example: output=xls
useColumnNamesstring

Set to false to retrieve the table with labels (as used in the database) instead of names in the table header.

Default "true"
Enum"true""false"
Example: useColumnNames=false
Bodyapplication/json
endRownumber
oldValuesany
operationTypestringnon-empty
startRownumber
textMatchStylestringnon-empty
dataobject
sortByArray of objects
curl -i -X POST \
  -u <username>:<password> \
  'https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/customermanager.fetch/*/CX/{CustomerMasterExtensionName}?output=xls&useColumnNames=false' \
  -H 'Content-Type: application/json' \
  -d '{
    "endRow": 0,
    "oldValues": null,
    "operationType": "string",
    "startRow": 0,
    "textMatchStyle": "string",
    "data": {
      "_constructor": "string",
      "operator": "string",
      "criteria": [
        {
          "fieldName": "string",
          "operator": "string",
          "value": "string"
        }
      ]
    },
    "sortBy": [
      {}
    ]
  }'

Responses

OK

Bodyapplication/json
responseobject
Response
application/json
{ "response": { "node": "pricefx-cluster-app-frontend-cb48f6447-qncxw", "data": [], "endRow": 7, "totalRows": 7, "status": 0 } }

Upload a File to PX/CX/SX

Request

Uploads CSV, or XLSX file to Product Extensions, Customer Extensions, or Seller Extensions table.

Security
basic or X-PriceFx-jwt
Path
TypeCodestringrequired

Type code of the table you want to upload the file to.

Enum"PX""CX""SX"
Example: PX
targetstringrequired

The name of the PX/CX/SX table.

uploadSlotIdstringrequired

id of the upload slot. Use the uploadslotmanager.newuploadslot endpoint to retrieve the id.

Example: 5000
Query
truncatestring

Set to true to overwrite existing data, or false to add new lines to existing data.

Enum"true""false"
Example: truncate=false
Bodymultipart/form-data
filestring(binary)

Provide the file (CSV, or XLSX format) you want to upload.

curl -i -X POST \
  -u <username>:<password> \
  'https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/importfile/PX/{target}/5000?truncate=false' \
  -H 'Content-Type: multipart/form-data' \
  -F file=string

Responses

A general response that contains data property with a content depending on returned objects (e.g., Product master table fields when calling the /fetch/P endpoint). Can be null.

Bodyapplication/json
responseobject
Response
application/json
{ "response": { "node": "string", "data": null, "status": 0, "startRow": 0, "endRow": 0 } }

Sellers

Operations

Seller Extensions

Operations

Condition Records

Operations

Competition Data

Operations

Imports

Operations

Data Change Requests

Operations

Lookup Tables / Company Parameters

Operations

User Admin

Operations

Authentication

Operations

Admin Tools

Operations

Logics

Operations

Logs

Operations

Custom Forms

Operations

Calculated Field Sets

Operations

Jobs & Tasks

Operations

Data Manager

Operations

Actions

Operations

Action Types

Operations

Price Lists

Operations

Manual Price Lists

Operations

Live Price Grids

Operations

Calculation Grids

Operations

Visual Configuration

Operations

Quotes

Operations

Contracts (Agreements & Promotions)

Operations

Visual Configuration

Operations

Rebate Agreements

Operations

Rebate Calculations

Operations

Rebate Record Group

Operations

Sales Compensations

Operations

Claim Types

Operations

Claims

Operations

Optimization

Operations

Workflow

Operations

Workflow Delegation

Operations

Attachments

To upload a file you need to perform the following actions using endpoints in this category:

  1. Create an Upload Slot
  2. Upload a File
  3. Delete an Upload Slot
Operations

Product Image

Operations

Configuration

Operations

Internationalization

Operations

Metadata

Operations

Clicmanager

Clicmanager (CLIC = "Calculable Line Item Collection") endpoints are used in the REACT version to manipulate Quote/Agreements & Promotions (Contract)/Rebate Agreement/Compensation Plan objects.

Operations

Comments

Operations

Notifications

Operations

Heartbeat

Operations

Key-Value Store

See the Key-Value Database Storage Knowledge Base article for more details.

Operations

Entities

Here you can find all fields of the corresponding entity (represented by the type code).
Use the /metadata.describe endpoint to find out the correct data type of the field that is used in your partition.

otherSchemas

Schemas